Package org.flowable.job.api

# Interface BaseJobQuery<U extends BaseJobQuery<U,T>,T extends Job>

All Superinterfaces:
  `Query<U,T>`

All Known Subinterfaces:
  `DeadLetterJobQuery`, `ExternalWorkerJobQuery`, `JobQuery`, `SuspendedJobQuery`, `TimerJobQuery`

public interface BaseJobQuery<U extends BaseJobQuery<U,T>,T extends Job> extends Query<U,T>
Allows programmatic querying of `Job`s. Summarizes the base query params for all JobQuery classes except `HistoryJobQuery`

Author:
  Christopher Welsch

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.flowable.common.engine.api.query.Query

  `Query.NullHandlingOnOrder`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `U`
  `caseDefinitionId(String caseDefinitionId)`
  Only select jobs for the given case definition.
  `U`
  `caseDefinitionKey(String caseDefinitionKey)`
  Only select tasks for the given case definition key.
  `U`
  `caseInstanceId(String caseInstanceId)`
  Only select jobs for the given case instance.
  `U`
  `category(String category)`
  Only select jobs which exist for the given category
  `U`
  `categoryLike(String categoryLike)`
  Only select jobs like for the given category value
  `U`
  `correlationId(String correlationId)`
  Only select jobs with the given correlationId.
  `U`
  `duedateHigherThan(Date date)`
  Only select jobs where the duedate is higher then the given date.
  `U`
  `duedateLowerThan(Date date)`
  Only select jobs where the duedate is lower than the given date.
  `U`
  `elementId(String elementId)`
  Only select jobs which exist for the given element id
  `U`
  `elementName(String elementName)`
  Only select jobs which exist for the given element name
  `U`
  `exceptionMessage(String exceptionMessage)`
  Only select jobs that failed due to an exception with the given message.
  `U`
  `executionId(String executionId)`
  Only select jobs which exist for the given execution
  `U`
  `handlerType(String handlerType)`
  Select jobs which have given job handler type
  `U`
  `handlerTypes(Collection<String> handlerTypes)`
  Select jobs which have one of the given job handler type
  `U`
  `jobId(String jobId)`
  Only select jobs with the given id
  `U`
  `jobIds(Collection<String> jobIds)`
  Only select jobs with the given ids.
  `U`
  `jobTenantId(String tenantId)`
  Only select jobs that have the given tenant id.
  `U`
  `jobTenantIdLike(String tenantIdLike)`
  Only select jobs with a tenant id like the given one.
  `U`
  `jobWithoutTenantId()`
  Only select jobs that do not have a tenant id.
  `U`
  `orderByExecutionId()`
  Order by execution id (needs to be followed by `Query.asc()` or `Query.desc()`).
  `U`
  `orderByJobCreateTime()`
  Order by create time (needs to be followed by `Query.asc()` or `Query.desc()`).
  `U`
  `orderByJobDuedate()`
  Order by duedate (needs to be followed by `Query.asc()` or `Query.desc()`).
  `U`
  `orderByJobId()`
  Order by job id (needs to be followed by `Query.asc()` or `Query.desc()`).
  `U`
  `orderByJobRetries()`
  Order by retries (needs to be followed by `Query.asc()` or `Query.desc()`).
  `U`
  `orderByProcessInstanceId()`
  Order by process instance id (needs to be followed by `Query.asc()` or `Query.desc()`).
  `U`
  `orderByTenantId()`
  Order by tenant id (needs to be followed by `Query.asc()` or `Query.desc()`).
  `U`
  `planItemInstanceId(String planItemInstanceId)`
  Only select jobs for the given plan item instance.
  `U`
  `processDefinitionId(String processDefinitionId)`
  Only select jobs which exist for the given process definition id
  `U`
  `processDefinitionKey(String processDefinitionKey)`
  Only select jobs which exist for the given process definition key
  `U`
  `processInstanceId(String processInstanceId)`
  Only select jobs which exist for the given process instance.
  `U`
  `scopeDefinitionId(String scopeDefinitionId)`
  Only select tasks for the given scope definition identifier.
  `U`
  `scopeId(String scopeId)`
  Only select tasks for the given scope identifier.
  `U`
  `scopeType(String scopeType)`
  Only select tasks for the given scope type.
  `U`
  `subScopeId(String subScopeId)`
  Only select tasks for the given sub scope identifier.
  `U`
  `withException()`
  Only select jobs that failed due to an exception.
  `U`
  `withoutProcessInstanceId()`
  Only select jobs without a process instance id value.
  `U`
  `withoutScopeId()`
  Only select jobs without a scope id value.
  `U`
  `withoutScopeType()`
  Only return jobs that do not have a scope type.

  ### Methods inherited from interface org.flowable.common.engine.api.query.Query

  `asc, count, desc, list, listPage, orderBy, orderBy, singleResult`

- ## Method Details

  - ### jobId

    U jobId(String jobId)
    Only select jobs with the given id

  - ### jobIds

    U jobIds(Collection<String> jobIds)
    Only select jobs with the given ids. If you use jobId(`String` jobId) this filter gets ignored.

  - ### processInstanceId

    U processInstanceId(String processInstanceId)
    Only select jobs which exist for the given process instance.

  - ### withoutProcessInstanceId

    U withoutProcessInstanceId()
    Only select jobs without a process instance id value.

  - ### executionId

    U executionId(String executionId)
    Only select jobs which exist for the given execution

  - ### handlerType

    U handlerType(String handlerType)
    Select jobs which have given job handler type

  - ### handlerTypes

    U handlerTypes(Collection<String> handlerTypes)
    Select jobs which have one of the given job handler type

  - ### processDefinitionId

    U processDefinitionId(String processDefinitionId)
    Only select jobs which exist for the given process definition id

  - ### processDefinitionKey

    U processDefinitionKey(String processDefinitionKey)
    Only select jobs which exist for the given process definition key

  - ### category

    U category(String category)
    Only select jobs which exist for the given category

  - ### categoryLike

    U categoryLike(String categoryLike)
    Only select jobs like for the given category value

  - ### elementId

    U elementId(String elementId)
    Only select jobs which exist for the given element id

  - ### elementName

    U elementName(String elementName)
    Only select jobs which exist for the given element name

  - ### scopeId

    U scopeId(String scopeId)
    Only select tasks for the given scope identifier.

  - ### withoutScopeId

    U withoutScopeId()
    Only select jobs without a scope id value.

  - ### subScopeId

    U subScopeId(String subScopeId)
    Only select tasks for the given sub scope identifier.

  - ### scopeType

    U scopeType(String scopeType)
    Only select tasks for the given scope type.

  - ### withoutScopeType

    U withoutScopeType()
    Only return jobs that do not have a scope type.

  - ### scopeDefinitionId

    U scopeDefinitionId(String scopeDefinitionId)
    Only select tasks for the given scope definition identifier.

  - ### caseDefinitionKey

    U caseDefinitionKey(String caseDefinitionKey)
    Only select tasks for the given case definition key.

  - ### caseInstanceId

    U caseInstanceId(String caseInstanceId)
    Only select jobs for the given case instance.

  - ### caseDefinitionId

    U caseDefinitionId(String caseDefinitionId)
    Only select jobs for the given case definition.

  - ### planItemInstanceId

    U planItemInstanceId(String planItemInstanceId)
    Only select jobs for the given plan item instance.

  - ### correlationId

    U correlationId(String correlationId)
    Only select jobs with the given correlationId.

  - ### duedateLowerThan

    U duedateLowerThan(Date date)
    Only select jobs where the duedate is lower than the given date.

  - ### duedateHigherThan

    U duedateHigherThan(Date date)
    Only select jobs where the duedate is higher then the given date.

  - ### withException

    U withException()
    Only select jobs that failed due to an exception.

  - ### exceptionMessage

    U exceptionMessage(String exceptionMessage)
    Only select jobs that failed due to an exception with the given message.

  - ### jobTenantId

    U jobTenantId(String tenantId)
    Only select jobs that have the given tenant id.

  - ### jobTenantIdLike

    U jobTenantIdLike(String tenantIdLike)
    Only select jobs with a tenant id like the given one.

  - ### jobWithoutTenantId

    U jobWithoutTenantId()
    Only select jobs that do not have a tenant id.

  - ### orderByJobId

    U orderByJobId()
    Order by job id (needs to be followed by `Query.asc()` or `Query.desc()`).

  - ### orderByJobDuedate

    U orderByJobDuedate()
    Order by duedate (needs to be followed by `Query.asc()` or `Query.desc()`).

  - ### orderByJobCreateTime

    U orderByJobCreateTime()
    Order by create time (needs to be followed by `Query.asc()` or `Query.desc()`).

  - ### orderByJobRetries

    U orderByJobRetries()
    Order by retries (needs to be followed by `Query.asc()` or `Query.desc()`).

  - ### orderByProcessInstanceId

    U orderByProcessInstanceId()
    Order by process instance id (needs to be followed by `Query.asc()` or `Query.desc()`).

  - ### orderByExecutionId

    U orderByExecutionId()
    Order by execution id (needs to be followed by `Query.asc()` or `Query.desc()`).

  - ### orderByTenantId

    U orderByTenantId()
    Order by tenant id (needs to be followed by `Query.asc()` or `Query.desc()`).